List Tasks
curl --request GET \
--url https://api.lightsage.com/v2/tasks \
--header 'X-Lightsage-Api-Key: <api-key>'import requests
url = "https://api.lightsage.com/v2/tasks"
headers = {"X-Lightsage-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Lightsage-Api-Key': '<api-key>'}};
fetch('https://api.lightsage.com/v2/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lightsage.com/v2/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Lightsage-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lightsage.com/v2/tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Lightsage-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lightsage.com/v2/tasks")
.header("X-Lightsage-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lightsage.com/v2/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Lightsage-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action_date": "<string>",
"status": "active",
"count": 123,
"batch_number": 123,
"latest_batch_number": 0,
"data": [
{
"id": "<string>",
"action_date": "<string>",
"batch_number": 123,
"rank": 123,
"source_key": "<string>",
"task_type": "<string>",
"title": "<string>",
"why": "<string>",
"next_action": "<string>",
"execution_prompt": "<string>",
"effort": "<string>",
"status": "<string>",
"description": "<string>",
"content": "<string>",
"target_url": "<string>",
"content_status": "none",
"content_written_at": "<string>",
"reasoning": "<string>",
"evidence": {},
"score": 123,
"priority": "<string>",
"assignee_user_id": "<string>",
"function_area": "<string>",
"action_type": "<string>",
"source": "<string>",
"source_type": "<string>",
"source_refs": {},
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"active_count": 0,
"in_progress_count": 0,
"completed_count": 0,
"done_count": 0,
"dismissed_count": 0,
"history_count": 0,
"has_history": false,
"can_fetch_next_batch": false,
"generated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
List Tasks
Returns persisted daily tasks with execution instructions. Includes per-status counts not narrowed by the status filter.
GET
/
v2
/
tasks
List Tasks
curl --request GET \
--url https://api.lightsage.com/v2/tasks \
--header 'X-Lightsage-Api-Key: <api-key>'import requests
url = "https://api.lightsage.com/v2/tasks"
headers = {"X-Lightsage-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Lightsage-Api-Key': '<api-key>'}};
fetch('https://api.lightsage.com/v2/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lightsage.com/v2/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Lightsage-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lightsage.com/v2/tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Lightsage-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lightsage.com/v2/tasks")
.header("X-Lightsage-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lightsage.com/v2/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Lightsage-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action_date": "<string>",
"status": "active",
"count": 123,
"batch_number": 123,
"latest_batch_number": 0,
"data": [
{
"id": "<string>",
"action_date": "<string>",
"batch_number": 123,
"rank": 123,
"source_key": "<string>",
"task_type": "<string>",
"title": "<string>",
"why": "<string>",
"next_action": "<string>",
"execution_prompt": "<string>",
"effort": "<string>",
"status": "<string>",
"description": "<string>",
"content": "<string>",
"target_url": "<string>",
"content_status": "none",
"content_written_at": "<string>",
"reasoning": "<string>",
"evidence": {},
"score": 123,
"priority": "<string>",
"assignee_user_id": "<string>",
"function_area": "<string>",
"action_type": "<string>",
"source": "<string>",
"source_type": "<string>",
"source_refs": {},
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"active_count": 0,
"in_progress_count": 0,
"completed_count": 0,
"done_count": 0,
"dismissed_count": 0,
"history_count": 0,
"has_history": false,
"can_fetch_next_batch": false,
"generated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Optional queue date in YYYY-MM-DD format.
Available options:
active, todo, new, in_progress, completed, done, dismissed, all Response
Successful Response
The requested action date. It defaults to today in UTC even when data spans every date.
The requested queue slice; this value is not itself a task status.
Available options:
active, todo, new, in_progress, completed, done, dismissed, all Show child attributes
Show child attributes